DBusObjectTree Struct Reference
D-Bus secret internal implementation details » A hierarchy of objects with container-contained relationship

Internals of DBusObjectTree. More...

## Data Fields

int | refcount
| Reference count.
DBusConnection * | connection
| Connection this tree belongs to.
DBusObjectSubtree * | root
| Root of the tree ("/" node).

## Detailed Description

Internals of DBusObjectTree.

Definition at line 60 of file dbus-object-tree.c.

## Field Documentation

## connection

DBusConnection* DBusObjectTree::connection

Connection this tree belongs to.

Definition at line 63 of file dbus-object-tree.c.

Referenced by _dbus_object_tree_dispatch_and_unlock(), _dbus_object_tree_free_all_unlocked(), _dbus_object_tree_list_registered_and_unlock(), _dbus_object_tree_new(), and _dbus_object_tree_unregister_and_unlock().

## refcount

int DBusObjectTree::refcount

Reference count.

Definition at line 62 of file dbus-object-tree.c.

Referenced by _dbus_object_tree_new(), _dbus_object_tree_ref(), and _dbus_object_tree_unref().

## root

DBusObjectSubtree* DBusObjectTree::root

Root of the tree ("/" node).

Definition at line 65 of file dbus-object-tree.c.

Referenced by _dbus_object_tree_free_all_unlocked(), _dbus_object_tree_new(), and _dbus_object_tree_unregister_and_unlock().

The documentation for this struct was generated from the following file:

- dbus-object-tree.c